Out-of-bounds Write

Affecting curl package, versions <7.65.0-r0

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

A heap buffer overflow in the TFTP receiving code allows for DoS or arbitrary code execution in libcurl versions 7.19.4 through 7.64.1.

References

CVSS Score

7.8
high severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
CVE
CVE-2019-5436
CWE
CWE-122 CWE-787
Snyk ID
SNYK-ALPINE310-CURL-454240
Disclosed
28 May, 2019
Published
23 May, 2019